Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: João Távora <[email-masked]>
Date: Tue, 9 Jan 2024 01:05:10 +0000

On Tue, Jan 9, 2024 at 12:52 AM Stefan Monnier <[email-masked]> wrote:

> But following the conventions from the get-go would have avoided this
> specific instance of the problem :-)

They were, just look at e36892ef513 :-)

But then at a certain point I got a many pull requests requests to
add stuff there, no time to bother everyone with indentation (which
likely would have been off anyway), the commit message looking decent
is a Eeglot.  Eglot-alternatives made things worse, with people
adding more servers on the same line, and I think this isn't
always being enforced by people installing these patches (I don't).

> Not sure how making it a separate commit will help.

It will say "Stefan Monnier: reformat things", and i will trust that
commit changes nothing functionally. Also,  git log -L is pretty smart.

But you didn't comment on the topic at hand.  What does your
major-mode-remap-alist look like?  Can you write one or two entries
of this alist?